English Amiga Board

English Amiga Board (http://eab.abime.net/index.php)
-   project.ClassicWB (http://eab.abime.net/forumdisplay.php?f=61)
-   -   ClassicWB for OS39 (http://eab.abime.net/showthread.php?t=32239)

Bloodwych 21 September 2007 16:30

ClassicWB for OS39
 
1 Attachment(s)
Just to gauge interest, would anyone have any use for a zip pack that allows the ClassicWB to be used with OS3.9?

It's basically would dump all the ClassicWB files on-top of a fresh OS3.9 install, without touching the original files. Obviously it'll have a few changes to optimize it for the newer OS, but essentially what you end up with is the ClassicWB with the most recent version of Workbench.

In theory, I guess it should work with OS35+, but I don't have a copy to optimize the settings like ensuring all graphics are run in fastram.

No release date set, just thought I'd see if anyone has a use for it at this stage.

I've set a poll, don't be afraid now. Use it as a chance to insult me if you want. :lol

Zetr0 21 September 2007 17:17

I fel its deffinately worth the effort, infact if you do, i may even be interested in running a 3.9 install..... maybe ;)

I would realy like to see a CW in commune with OS3.5 :D, that would be great!

Mad-Matt 21 September 2007 17:50

Surly as soon as you put os35/39 in the mix it stops being classic wb and becomes highend wb since it requires a little extra umph from the miggy to run it ?

classic wb is fine as a base on older amiga configurations and should prolly be left at that. I cant see it bringing much to the os39 user.

DDNI 21 September 2007 17:55

Bloodwych that would be a brilliant idea, I am getting fed up with my install - It kinda is botched together with a long history of cock ups on my part. I have lost track of my driver versions etc. Do you plan to have the latest warp3d, p96 etc available in expansions folder....?

keropi 21 September 2007 18:30

yeahhhh!
don't forget rtg owners though....

DDNI 21 September 2007 18:33

A yes from Zetro Keropi and DDNI! How could you deny us the joy of CWB!!!

Bloodwych 21 September 2007 19:12

Quote:

Originally Posted by Mad-Matt (Post 359528)
Surly as soon as you put os35/39 in the mix it stops being classic wb and becomes highend wb since it requires a little extra umph from the miggy to run it ?

classic wb is fine as a base on older amiga configurations and should prolly be left at that. I cant see it bringing much to the os39 user.

I hear what your saying, and you're right which is why others are getting a little carried away with what to expect from this Zip pack!

Most people who have OS3.9 are those with more powerful setups are are likely to want to create (or have created) a Workbench themselves, with all the nice extra exclusive features mentioned above. I'm not going to try and create the ultimate Workbench 3.9 P96 setup - AIAB, AmiSYS and AmiKit cover that and it would be too much work. Plus everyone is different, so I always advertise these packs as "base installs" not "complete solutions".

ClassicWB will remain just that - ClassicWB.

All this would be is a lazy solution for those who've tried the ClassicWB but were put off by using older 3.0/1 files. I receive messages from time to time from users who ask why not have the latest Workbench files installed. They like the setup, but want to use 3.9 files.

By Zipping up the ClassicWB ADVSP, removing all files already included in a default OS3.9 (perhaps 3.5 too) install and adding a customized startup-sequence, the Zip can simply be decompressed over the top of the fresh OS3.9 install already done by the user from the CD.

Really, I should write an install script to use 3.0, 3.1, 3.5 and 3.9 (like AmiSYS), but I just don't have the will and this is the lazy solution.

Think of it like an upgrade pack for a fresh install of OS3.9. It gets you off to a head start, but the finishing touches have to added by yourself.

So I'm not really creating another ClassicWB pack - just catering for those who want to use 3.9 files in the place of 3.0/3.1. I guess I could provide two Zip packs - one for non-P96 and the other P96. Both wouldn't take much work, which is why I'm offering to do them.

Zetr0 21 September 2007 19:24

I think all those in favour of "more work for bloodwych" campaign should now pick up thier torches and burn the nay sayers! :D

keropi 21 September 2007 19:36

ah, please have in mind that some prefer/have to use CGX , the P96 CWB won't make troubles, right? :spin

DDNI 21 September 2007 20:40

yay I think Bloodwych should dedicate at least the next year of his life to making the ultimate 3.9 CWB for MY SPECIFIC set up! see below.... !

viddi 22 September 2007 13:14

Yes please :)

coze 22 September 2007 14:26

I'm all for 3.9 CWB ! It will be the ultimate setup ! I'm too lazy to make my own 3.9 workbench, so I dwelled on 3.1 cwb setups so far, which has its limitations time to time ...

sweetlilmre 22 September 2007 22:43

Hi,

Absolutely, definitely, please... with extra cherries :)
I have OS3.9 installed on top of CWB and then badly patched :)
An official version would be awesome!

Some questions for anyone with some time:
-Does CWB make use of exec 44.1 and the other speed / stability patches?
-The latest beta of Scalos runs like a dog on my 030 / 32MB 1200, whereas the version in CWB blazes, any clues as to why?


Thanks
-(e)

DrBong 23 September 2007 10:14

Great idea! :great Would save a lot of time for most peeps methinks and, probably, grief too if you should lose all your stuff and don't have a backup to resort to.

Bloodwych 23 September 2007 11:31

Blah! I've hit a road block I'm afraid and unless anyone knows a solution then it's curtains.

Scalos 1.2D (the last stable and fast release and CORE of the ClassicWB) corrupts OS3.5+/newicons if you change the tool types and save under 3.9. I even have the OS3.5 plugin, which is meant to offer compatibility with OS3.5 and 3.9, and although it allows the AmiDock to be used correctly, icons still corrupt.

To elaborate on sweetlilmre's points, the beta Scalos packs are not an option. They are slow (a little bloated now too), optimized more for PPC and OS4 and have many little bugs and niggles - after all, they are beta and only a small team work and test the package now.

I may still release a pack, but it won't run Scalos, Workbench only and no set release date. Shame as I had a nice boot system where you could run Scalos or Workbench in a dual-boot setup. It's not such a big loss however - Scalos on Workbench 3.0/3.1 was a huge step forward over normal Workbench as it had fully multitasking processes and windows, smooth scrolling, great requesters, default icons, powerful options etc. Workbench 3.9 has many of these things built in from default - it's just now I'm going to have to setup some extra features to provide the missing functionality.

I was only really motivated to do this if it was an easy port and remained the ClassicWB, but that isn't looking likely now.

Since AmiSYS is releasing a version for normal Amiga's that's 80% complete (according to their webpage), I'm not sure it's worth me completing this. I'll have a play around and see what's possible but at the moment the outlook is bleak. :(

woody.cool 01 October 2007 23:13

Not everyone likes AmigaSYS - I myself haven't tried for ages so am not able to comment on the latest version - but the thing I like about ClassicWB is the ability to run it on low spec Amigas. A ClassicWB for 3.9 would be a good addition to the range - it could be tailored towards those who run it on real Amigas - especially made for those who run Amiga OS 3.9 on an Amiga that matches the minimum requirements for 3.9 (like myself)

Mad-Matt 01 October 2007 23:18

what you want it to do, dissable all the os39 features such as coloricon/amidock so it can look like os3.1 and run on a base a1200 ? ;)

coze 02 October 2007 01:44

AmiSYS is doing a great job too, but don't let it discourage you ! CWB and AmiSYS have different feeling, and I believe most amiga users have enough machines to setup them both :)

besides, competition is always good !

coze 02 October 2007 01:49

Quote:

Originally Posted by Bloodwych (Post 359907)
Scalos 1.2D (the last stable and fast release and CORE of the ClassicWB) corrupts OS3.5+/newicons if you change the tool types and save under 3.9. I even have the OS3.5 plugin, which is meant to offer compatibility with OS3.5 and 3.9, and although it allows the AmiDock to be used correctly, icons still corrupt.


did you contact scalos team for a solution ? maybe they can provide a quickfix for you ? (for all of us actually)

Bloodwych 02 October 2007 13:12

1 Attachment(s)
Hey guys it's not over! Like I said, I am working on a Workbench only release and ditching Scalos due to the issues mentioned. It's just going to take much longer converting and testing everything again than I originally intended.

Coze, yes I've mentioned bugs in the past but never received a response. The Scalos forum where I posted years ago is pretty dead and I don't think many people work on the package now. The beta's are bound to have some of the 1.2D issues resolved, but they are still buggy and run very slow on Classic Amiga's without top end hardware. You can't blame the small development team for wanting to concentrate on newer hardware when so little interest is generated on their forums.

I am chipping away at this add on pack that installs over the top of OS3.9 (and perhaps OS3.5, but haven't tested) but again no release date as my free time is limited at the moment.

As for competition with AmigaSYS on real Amigas, I don't really see it as such as there are major differences between the packs - plus as Graham pointed out above, choice and differences are a good thing and I'm happy to see anyone release Workbench packs. All I meant was since the team behind AmiSYS AGA are close to release and offer support for OS3.9, it's not worth me rushing this out the door as people will have a great solution to try out soon.

That's the great thing about Workbench - it's so customizable. My stance has always been to provide a base install with minimal patches/hacks, low on resources and no compatibility issues, then let the user finish up for themselves.

Here is a screen of the WIP. The chipram is a little low as the screenmode is in 256 colours while I was testing some of the icons. 64 colours wll be the default setting and all the icons still look great. Overall chipram usage is pretty good as FBlit is shifting most things to Fastram. :)


All times are GMT +2. The time now is 12:44.

Powered by vBulletin® Version 3.8.11
Copyright ©2000 - 2019, vBulletin Solutions Inc.

Page generated in 0.04773 seconds with 11 queries